;********************************************************************************************************
;                                               uC/OS-II
;                                         The Real-Time Kernel
;
;                         (c) Copyright 1998, Jean J. Labrosse, Plantation, FL
;                                          All Rights Reserved
;
;
;                                       M68HC912DG128A Specific code
;                                         (MetroWerks C/C++ V4.1)
;
; File         : OS_CPU_A.S
; By           : Jean J. Labrosse
; Port Version : V1.01
; Ported to MC68HC912DG128A : Robert F. Heslar
;********************************************************************************************************
; provide our own interrutp table (or uew prm file)
 
;********************************************************************************************************
;                                           EXTERNAL DECLARATIONS
;********************************************************************************************************

	Xref _Startup
	Xref OSCtxSw
	Xref OSTickISR
	Xref _Null

	org $0FF80
    DC.W _Null	; 0xFF80 Reserved
	DC.W _Null	; 0xFF82 Reserved
	DC.W _Null  ; 0xFF84 Reserved
	DC.W _Null	; 0xFF86 Reserved
	DC.W _Null	; 0xFF88 Reserved
	DC.W _Null	; 0xFF8A Reserved
	DC.W _Null	; 0xFF8C Reserved
	DC.W _Null	; 0xFF8E Reserved
	DC.W _Null	; 0xFF90 Reserved  
	DC.W _Null	; 0xFF92 Reserved                                         
    DC.W _Null	; 0xFF94 Reserved                                         
    DC.W _Null	; 0xFF96 Reserved                                         
    DC.W _Null	; 0xFF98 Reserved                                         
    DC.W _Null	; 0xFF9A Reserved                                        
    DC.W _Null	; 0xFF9C Reserved                                        
    DC.W _Null	; 0xFF9E Reserved                                        
                                            
    DC.W _Null	; 0xFFA0 Reserved                                         
    DC.W _Null	; 0xFFA2 Reserved                                         
    DC.W _Null	; 0xFFA4 Reserved                                         
    DC.W _Null	; 0xFFA6 Reserved                                         
    DC.W _Null	; 0xFFA8 Reserved                                         
    DC.W _Null	; 0xFFAA Reserved                                         
    DC.W _Null	; 0xFFAC Reserved                                         
    DC.W _Null	; 0xFFAE Reserved                                         
                                            
    DC.W _Null	; 0xFFB0 Reserved                                         
    DC.W _Null	; 0xFFB2 Reserved                                         
    DC.W _Null	; 0xFFB4 Reserved                                         
    DC.W _Null	; 0xFFB6 Reserved                                         
    DC.W _Null	; 0xFFB8 Reserved                                         
    DC.W _Null	; 0xFFBA Reserved                                         
    DC.W _Null	; 0xFFBC Reserved                                         
    DC.W _Null	; 0xFFBE Reserved                                         
                                            
    DC.W _Null	; 0xFFC0 Reserved                                         
    DC.W _Null	; 0xFFC2 Reserved                                         
    DC.W _Null	; 0xFFC4 Reserved                                         
    DC.W _Null	; 0xFFC6 Reserved                                         
    DC.W _Null	; 0xFFC8 Reserved                                         
    DC.W _Null	; 0xFFCA Reserved                                        
    DC.W _Null	; 0xFFCC Reserved                                         
    DC.W _Null	; 0xFFCE Key Wakeup H                                     
                                            
    DC.W _Null	; 0xFFD0 Key Wakeup J                                    
    DC.W _Null	; 0xFFD2 ATD                                              
    DC.W _Null	; 0xFFD4 SCI 1                                            
    DC.W _Null	; 0xFFD6 SCI 0                                            
    DC.W _Null	; 0xFFD8 SPI Serial Transfer Complete                     
    DC.W _Null	; 0xFFDA Pulse Accumulator Input Edge                     
    DC.W _Null	; 0xFFDC Pulse Accumulator Overflow                      
    DC.W _Null	; 0xFFDE Timer Overflow   
	org $0FFE0
Tmr7Int:  DC.W OSTickISR ;  0xFFE2 Timer Channel 7
	org $0FFE2
	DC.W _Null	; 0xFFE2 Timer Channel 6
	DC.W _Null	; 0xFFE4 Timer Channel 5
	DC.W _Null	; 0xFFE6 Timer Channel 4 
	DC.W _Null	; 0xFFE8 Timer Channel 3
	DC.W _Null	; 0xFFEA Timer Channel 0, 1, 2
	org $0FFF0
	DC.W _Null	; 0xFFF0 Real Time Interrupt (RTI) 
	DC.W _Null	; 0xFFF2 IRQ (External Pin) or Key Wakeup D
	DC.W _Null  ; 0xFFF4 XIRQ Pin (Pseudo Nonmaskable Interrupt)	
	org $0FFF6	
SWIInt:   DC.W OSCtxSw ; SWI interrupt
    org $0FFF8
    DC.W _Null  ; 0xFFF8 Illegal Opcode Trap 
    DC.W _Null	; 0xFFFA COP Failure (Reset)
    DC.W _Null	; 0xFFFC COP Clock Monitor Fail (Reset)
	org $0FFFE
ResetInt: DC.W _Startup ; Reset Vector
